Loading...
Searching...
No Matches
openshot::ExceptionBase Class Reference

Base exception class with a custom message variable. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::ExceptionBase:

## Public Member Functions

| ExceptionBase (std::string message)
virtual std::string | py_message () const
virtual const char * | what () const noexcept
virtual | ~ExceptionBase () noexcept

## Protected Attributes

std::string | m_message

## Detailed Description

Base exception class with a custom message variable.

A std::exception-derived exception class with custom message. All OpenShot exception classes inherit from this class.

Definition at line 27 of file Exceptions.h.

## Constructor & Destructor Documentation

## ExceptionBase()

openshot::ExceptionBase::ExceptionBase | ( | std::string | message | ) |

inline

Definition at line 32 of file Exceptions.h.

## ~ExceptionBase()

virtual openshot::ExceptionBase::~ExceptionBase | ( |  | ) |

inline virtual noexcept

Definition at line 33 of file Exceptions.h.

## Member Function Documentation

## py_message()

virtual std::string openshot::ExceptionBase::py_message | ( |  | ) | const

inline virtual

Reimplemented in openshot::FrameExceptionBase, openshot::FileExceptionBase, openshot::InvalidJSONKey, openshot::OutOfBoundsFrame, and openshot::OutOfBoundsPoint.

Definition at line 38 of file Exceptions.h.

## what()

virtual const char * openshot::ExceptionBase::what | ( |  | ) | const

inline virtual noexcept

Definition at line 34 of file Exceptions.h.

## Member Data Documentation

## m_message

std::string openshot::ExceptionBase::m_message

protected

Definition at line 30 of file Exceptions.h.

Referenced by py_message(), openshot::FrameExceptionBase::py_message(), openshot::FileExceptionBase::py_message(), openshot::InvalidJSONKey::py_message(), openshot::OutOfBoundsFrame::py_message(), openshot::OutOfBoundsPoint::py_message(), and what().

The documentation for this class was generated from the following file:

- Exceptions.h